%global product_family oVirt Node
%define recipe_root %{_datadir}/ovirt-node-recipe

%global         package_version 0.3.0
%global         package_name ovirt-node-plugin-hosted-engine


Name:           ovirt-node-plugin-hosted-engine
Version:        0.3.0
Release:        7%{?release_suffix}%{?dist}
Source0:        http://plain.resources.ovirt.org/pub/ovirt-master-snapshot/src/%{name}/%{name}-%{package_version}.tar.gz
License:        GPLv2+
Group:          Applications/System
Summary:        Hosted Engine plugin for %{product_family} image
BuildRequires:  python2-devel
Requires:       ovirt-hosted-engine-setup
Requires:       ovirt-hosted-engine-ha
Requires:       screen
Requires:       python-requests

BuildArch:      noarch

BuildRequires:  autoconf
BuildRequires:  automake

Patch0: 0001-answerfile-fixing-type-for-None-value-on-OVEHOSTED_V.patch
Patch1: 0002-vm.conf-doesn-t-exist-on-3.6-read-from-hosted-engine.patch
Patch2: 0003-spec-Add-buildreq-for-autoconf-automake.patch
Patch3: 0004-hosted_engine_page-Make-pep8-happy.patch
Patch4: 0005-hosted_engine_page-fix-path-typo.patch
Patch5: 0006-hosted_engine_page-Fix-Config-call.patch
Patch6: 0007-page-Hide-uselesse-Save-Reset-buttons.patch
Patch7: 0008-Close-the-deploy-dialog-forcefully-to-avoid-a-race.patch
Patch8: 0009-Refresh-the-status-of-the-engine-every-time-the-UI-i.patch
Patch9: 0010-Add-some-missing-colons-to-if-statements.patch
Patch10: 0011-hosted_engine_page-convert-read-conf-value-to-a-func.patch
Patch11: 0012-hosted_engine_page-Improve-check-for-hosted-engine-d.patch
Patch12: 0013-Get-the-right-values-from-HostedEngine-so-PXE-works.patch
Patch13: 0014-The-maintenance-dialog-should-reflect-the-current-se.patch
Patch14: 0015-Disable-hosted-engine-setup-unless-networking-is-con.patch
Patch15: 0016-hosted_engine_page-try-except-for-he-vm-status.patch
Patch16: 0017-hosted_engine_page-refresh-TUI-after-deploy.patch
Patch17: 0018-hosted_engine_page-Refresh-when-returning-from-check.patch

%package recipe
Summary:        Kickstarts for building oVirt Node isos including %{name}
Group:          Applications/System
Requires:       ovirt-node-recipe >= 2.6.0

%{!?_licensedir:%global license %%doc}

%post
chkconfig ovirt-ha-agent on
chkconfig ovirt-ha-broker on

%description
This package provides a hosted engine plugin for use with%{product_family} image.

%description recipe
Provides kickstart files for generating an oVirt Node ISO image containing
%{name}.


%files
%{python_sitelib}/ovirt/node/setup/hostedengine/__init__.py*
%{python_sitelib}/ovirt/node/setup/hostedengine/config.py*
%{python_sitelib}/ovirt/node/setup/hostedengine/hosted_engine_page.py*
%{python_sitelib}/ovirt/node/setup/hostedengine/hosted_engine_model.py*

%prep
%setup -q -n "%{name}-%{package_version}"
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1

# Required autoconf to update build system
autoreconf

%build
%configure

%install
%{__rm} -rf %{buildroot}
make install DESTDIR=%{buildroot}


%files
%license COPYING
%{_sysconfdir}/rwtab.d/hosted-engine
%{python_sitelib}/ovirt/node/setup/hostedengine
#%{_sysconfdir}/ovirt-plugins.d
%{_bindir}/ovirt-node-hosted-engine-setup

%files recipe
%license COPYING
%{recipe_root}

%changelog
* Fri Feb 05 2016 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-7
- hosted_engine_page: refresh TUI after deploy
- hosted_engine_page: Refresh when returning from check status

* Wed Jan 06 2016 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-6
- hosted_engine_page: try/except for he --vm-status

* Wed Dec 23 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-5
- Disable hosted engine setup unless networking is configured

* Mon Nov 30 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-4
- page: Hide uselesse Save/Reset buttons - rhbz#1280179
- Close the deploy dialog forcefully to avoid a race - rhbz#1280237
- Refresh the status of the engine every time the UI is reloaded - rhbz#1280185
- hosted_engine_page: Improve check for hosted-engine deploys - rhbz#1249641
- Should not ask to specify the device to boot the VM when Hosted Engine TUI already selected PXE Boot Engine VM - rhbz#1282685
- The maintenance dialog should reflect the current setting - rhbz#1282685

* Thu Nov 12 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-3
- hosted_engine_page: Fix Config() call
- hosted_engine_page: fix path typo
- hosted_engine_page: Make pep8 happy

* Tue Nov 03 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-2
- answerfile: fixing type for None value on OVEHOSTED_VM/vmBoot - bz#1271976
- vm.conf doesn't exist on 3.6, read from hosted-engine.conf - bz#1276352

* Tue Sep 01 2015 Douglas Schilling Landgraf <dougsland@redhat.com> 0.3.0-1
- Initial downstream build based on 0.3.0

* Mon May 18 2015 Ryan Barry <rbarry@redhat.com> 0.0.2
- Refactor the page, move model to another file

* Tue May 27 2014 Joey Boggs <jboggs@redhat.com> 0.0.1
- initial commit
